# Summary

<!-- markdownlint-disable MD042 — some pages aren't finished yet (though the graying out of top level pages is not ideal — it's either that, or links to pages that are blank. Or maybe we try and write a useful page for each heading?) -->

- [Introduction](./introduction.md)
- [Queries]()
  - [Pipelines](./queries/pipelines.md)
  - [Functions](./queries/functions.md)
  - [Tables](./queries/tables.md)
  - [Syntax](./queries/syntax.md)
  - [Dialect & Version](./queries/dialect_and_version.md)
- [Transforms](./transforms.md)
  - [Aggregate](./transforms/aggregate.md)
  - [Derive](./transforms/derive.md)
  - [Filter](./transforms/filter.md)
  - [From](./transforms/from.md)
  - [Group](./transforms/group.md)
  - [Join](./transforms/join.md)
  - [Select](./transforms/select.md)
  - [Sort](./transforms/sort.md)
  - [Take](./transforms/take.md)
  - [Window](./transforms/window.md)
- [Language features]()

  - [Coalesce](./language-features/coalesce.md)
    <!-- `DATE_TRUNC(foo_date, YEAR)` -> `foo_date.year`? Or -> `foo_date | as year`? Or `foo_date | to year`? -->
  - [Dates & Times](./language-features/dates_and_times.md)
  - [Distinct](./language-features/distinct.md)
  - [F-Strings](./language-features/f-strings.md)
  - [Null handling](./language-features/null.md)
  - [Ranges](./language-features/ranges.md)
    <!--   - Regex — `REGEX_MATCH(foo, "\\w{3}")` -> `foo ~ r"\w{3}"`? Or -> `regex foo r"\w{3}"`? -->
  - [Regex]()
  - [S-Strings](./language-features/s-strings.md)
  - [Strings](./language-features/strings.md)

- [Stdlib](./stdlib.md)
- [Bindings]()
  - [Java](./bindings/java.md)
  - [JavaScript](./bindings/javascript.md)
  - [Python](./bindings/python.md)
  - [R](./bindings/r.md)
  - [Rust](./bindings/rust.md)
- [Internals](./internals/README.md)
  - [Name resolving](./internals/name-resolving.md)
  - [Functions](./internals/functional-lang.md)
- [Integrations]()

  - [dbt](./integrations/dbt.md)
  - [Jupyter](./integrations/jupyter.md)
  - [Prefect](./integrations/prefect.md)
  - [VSCode]()
  - [Rill]()

- [Examples](./examples/README.md)
  - [Variables](./examples/variables.md)
  - [List equivalence](./examples/list-equivalence.md)
  - [CTE (intermediate tables)](./examples/cte.md)
  - [SQL parameters](./examples/sql-parameters.md)
  - [Employees](./examples/employees.md)
